import { Link, Outlet, useLocation } from "umi";
import logo from "@/assets/shalu-new1.png";
import { Avatar, ConfigProvider } from "antd";
import zhCN from "antd/locale/zh_CN";
import "dayjs/locale/zh-cn";
import { UserOutlined } from "@ant-design/icons";

export default function Layout() {
  const location = useLocation();

  return (
    <ConfigProvider locale={zhCN}>
      <div>
        <div className="header h-56px flex items-center justify-between border-0 border-b border-solid border-gray-200 px-8">
          <img src={logo} alt="logo" className="h-48px w-200px" />

          <ul className="menu flex items-center pl-0 gap-x-24px">
            <Link to="/" className="decoration-none">
              <li
                className={`nav-button ${location.pathname.includes("application") ? "nav-button-active" : ""} `}
              >
                <i className="iconfont icon-yingyong text-12px mr-4px" />
                应用市场
              </li>
            </Link>
            <Link to="/template" className="decoration-none">
              <li
                className={`nav-button ${location.pathname.includes("/template") ? "nav-button-active" : ""} `}
              >
                <i className="iconfont icon-mokuai text-12px mr-4px" />
                模版市场
              </li>
            </Link>
          </ul>

          <div className="right w-200px text-right">
            <Avatar size={32} icon={<UserOutlined />} />
          </div>
        </div>

        <div className="h-[calc(100vh-56px)]">
          <Outlet />
        </div>
      </div>
    </ConfigProvider>
  );
}
