import {defineConfig, presetAttributify, presetUno} from 'unocss';

export function createConfig({strict = true, dev = true} = {}) {
  return defineConfig({
    envMode: dev ? 'dev' : 'build', presets: [presetAttributify({strict}), presetUno()],
    theme: {
      colors: {
        'primary': '#0e53e2',
        'secondary': '#495464',
        'text-secondary': '#354052',
        'text-tertiary': '#676f83',
        'text-quaternary': '#1018284d'
      }
    },
    rules: [
      ['flex-important', {display: 'flex !important'}],
    ],
    shortcuts: {
      'flex-center': 'flex justify-center items-center',
      'nav-button': 'cursor-pointer flex items-center text-secondary h-8 mr-0 sm:mr-3 px-3 h-8 rounded-xl text-sm shrink-0 font-medium false hover:bg-[#eaebef]',
      'nav-button-active': 'shadow-md bg-[#fff] text-primary rounded-xl font-medium text-sm hover:bg-[#fff]',
      'system-xs-regular': 'text-12px font-400 leading-16px'
    }
  });
}

export default createConfig();